Subject: Re: 2.6.23-rc1 breaks on JS20 w/SLOF

From: Adrian Reber <[email-masked]>
Date: Wed, 25 Jul 2007 13:59:20 +0200

On Tue, Jul 24, 2007 at 08:06:18AM +1000, Benjamin Herrenschmidt wrote:
> On Mon, 2007-07-23 at 16:47 +0200, Adrian Reber wrote:
> > On a JS20 with SLOF (pretending to be Maple) 2.6.23-rc1 breaks with
> > following oops. 2.6.22 is working. Let me know if I can help debug this.
> 
> That would be my fault... looks like it tries to access IO ports before
> the IO space is mapped by the PCI code, and without a legacy ISA range.
> The later is now the only case where IO ports are available before the
> main PCI setup.
> 
> I can add some tweak to the maple code to map the ISA stuff even when
> the "isa" node is missing...

This also happens on JS21 (with SLOF) in a pretty similar way.

		Adrian